Bug 11182 - process time reported by ps rolls over after 24 hours
Summary: process time reported by ps rolls over after 24 hours
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-02 18:55 UTC by John Bollinger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-17 05:30:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Bollinger 2000-05-02 18:55:38 UTC
The CPU time reported for any particular process by 'ps' of procps-2.0.6
rolls over to zero when that process has consumed 24 hours of CPU time.
'top' still reports the correct time consumed, however.  This occured
with no options and with the -C <procname> option; no other option
combinations were tested.  The reported behavior occurred on an Intel
hardware platform, and was not tested on other hardware.

Comment 1 acahalan 2000-05-17 05:30:59 UTC
Fixed in Debian last year

Comment 2 Michael K. Johnson 2000-07-31 20:03:42 UTC
-- Fixed in Debian without sending me a patch...  :-P

Fixed in procps-2.0.7, which is in our current RawHide release.


Note You need to log in before you can comment on or make changes to this bug.